package de.hdm_stuttgart.mi.sd1.test.task1;

import de.hdm_stuttgart.mi.exam.unitmarking.ExaminationTestDefaults;
import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.task1.Helper;
import org.junit.Assert;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class Test_10_Helper_isAscending extends ExaminationTestDefaults {

  /* Section: isAscending */

  @Test @Marking(points = 3) public void test_010_isAscending_positive() {
    Assert.assertFalse("Second value equal to first", Helper.isAscending(1, 1, 3));
    Assert.assertFalse("Third value equal to second", Helper.isAscending(1, 2, 2));
    Assert.assertTrue(Helper.isAscending(1, 2, 3));
  }

  @Test @Marking(points = 3) public void test_020_isAscending_negative() {
    Assert.assertTrue(Helper.isAscending(-41, -20, 30));
    Assert.assertFalse("Second value not greater than first", Helper.isAscending(-50, -50, 3));
    Assert.assertFalse("Second value smaller than first", Helper.isAscending(-50, -60, 3));
    Assert.assertFalse("Third value equal to second", Helper.isAscending(-50, -30, -30));
    Assert.assertFalse("Third value smaller than second", Helper.isAscending(-50, -30, -40));
  }
}