package de.hdm_stuttgart.mi.sd1.task2.demo;

import de.hdm_stuttgart.mi.sd1.task2.Matrix;

/**
 * Sample usage demo. Watch my sourcecode in your IDE, not in Javadoc!
 */
public class DemoDriver {

    public static void main(String[] args) {

        // Creating two instances.
        final Matrix
                m1 = new Matrix(new int[][]
                {
                        {1, 2},
                        {3, 4}
                }),

                m2 = new Matrix(new int[][]
                        {
                                {5, 6},
                                {7, 8}
                        });


        // Building the sum of both instances
        final Matrix sum = m1.add(m2);

        // the expected result
        final Matrix expectedSum = new Matrix(new int[][]
                        {
                                {6, 8},
                                {10, 12}
                        });

        // Comparing result and expectation
        if (sum.equals(expectedSum)) {
            System.out.println("Looks good");
        } else {
            System.out.println("You should not see this!");
        }
    }
}
