package de.hdm_stuttgart.mi.sd1.aufgabe1;

/**
 * Hilfsmethoden.
 *
 */
public class _1_Helper {

  /**
   * <p>Notenberechnung: In aufsteigender Abhängigkeit von erreichten Punkten sollen folgende Noten vergeben werden:</p>
   *
   * <dl>
   *   <dt>Unter 50 Punkten</dt>
   *   <dd><code>"mangelhaft"</code></dd>
   *
   *   <dt>Ab 50 Punkten:</dt>
   *   <dd><code>"ausreichend"</code></dd>
   *
   *   <dt>Ab 65 Punkten:</dt>
   *   <dd><code>"befriedigend"</code></dd>
   *
   *   <dt>Ab 80 Punkten:</dt>
   *   <dd><code>"gut"</code></dd>
   *
   *   <dt>Ab 95 Punkten:</dt>
   *   <dd><code>"sehr gut"</code></dd>
   *
   * </dl>
   *
   * @param punkte In einer Prüfung erreichte Punkte.
   *
   * @return Die erreichte Note in Textform gemäß Beschreibung.
   */
  static public String berechneNote(int punkte) {
    return "cfsdf3qw4"; // TODO: Implementiere mich richtig!
  }

  /**
   * <p>Zerlegung eines Wertes in ein Array aus Einer, Zehner, Hunderter usw. Anteilen. Beispiele:</p>
   * <dl>
   *   <dt><code><span style="color:red;">9</span></code>:</dt>
   *   <dd><code>int[] result = {<span style="color:red;">9</span>}</code></dd>
   *
   *   <dt><code><span style="color:red;">1</span><span style="color:green;">2</span><span style="color:cyan;">3</span></code>:</dt>
   *   <dd><code>int[] result = {<span style="color:cyan;">3</span>, <span style="color:green;">20</span>, <span style="color:red;">100</span>}</code></dd>
   *
   *   <dt><code><span style="color:red;">4</span><span style="color:green;">3</span><span style="color:cyan;">0</span><span style="color:orange;">9</span><span style="color:blue;">0</span></code>:</dt>
   *   <dd><code>int[] result = {<span style="color:blue;">0</span>, <span style="color:orange;">90</span>, <span style="color:cyan;">0</span>, <span style="color:green;">3000</span>, <span style="color:red;">40000</span>}</code></dd>
   *
   * </dl>
   * @param wert Der zu zerlegende Wert.
   * @return Das Array der Zerlegung in Einer, Zehner, Hunderter usw. Anteile. Der Index 0 startet mit der Einer-Position.
   */
  static public long[] dezimalZerlegung(long wert) {
    return null; // TODO: Implementiere mich richtig!
  }

  /**
   * <p>Vertausche zwei Werte eines Arrays an den Indexpositionen <code>position</code> und
   * <code>position + 1</code>.</p>
   *
   * <p>Beispiel: Für <code>values = {1, 2, <span style="color:green;">3</span>, <span style="color:red;">4</span>, 5}</code> und
   * <code style="color:green;">position = 2</code> werden die Werte
   * <span style="color:green;">3</span> und <span style="color:red;">4</span> an den Indexpositionen
   * <span style="color:green;">2</span> und <span style="color:red;">3</span> vertauscht:</p>
   *
   * <pre>
   *          <span style="color:red;">⤺</span>
   * {1, 2, <span style="color:green;">3</span>, <span style="color:red;">4</span>, 5} ⟹ {1, 2, <span style="color:red;">4</span>, <span style="color:green;">3</span>, 5}
   *         <span style="color:green;">⤻</span>
   * </pre>
   *
   * @param werte Ein Array aus Werten oder <code>null</code>.
   * @param position <p>Der Index des Werts, welcher mit dem Wert an der nächsthöheren Indexposition vertauscht werden
   *                 soll.</p>
   *                 <p>Bei negativer <code>position</code> oder sonst für eine Vertauschung unpassenden Werten
   *                 erfolgt keine Veränderung. Der Rückgabewert ist in diesem Fall <code>false</code>.</p>
   *
   * @return <code>true</code>, falls das Array nicht <code>null</code> ist und, unabhängig von eventuell identischen
   * Werten, eine Vertauschung an den Indexpositionen <code style="color:green;">position</code> und
   * <code style="color:red;">position + 1</code> erlaubt. Ansonsten <code>false</code>.
   */
  static public boolean swap(final int[] werte, final int position) {
    return true; // TODO: Implementiere mich richtig!
  }
  /**
   * <p>Umwandlung jedes Wortanfangs in einen Großbuchstaben. Beispiel:</p>
   *
   * <pre>
   *"Ein <span style="color:red;">s</span>chöner <span style="color:red;">w</span>armer Sommer <span style="color:red;">s</span>teht <span style="color:red;">a</span>n."
   *     <span style="color:red;">↓</span>       <span style="color:red;">↓</span>             <span style="color:red;">↓</span>     <span style="color:red;">↓</span>
   *"Ein <span style="color:red;">S</span>chöner <span style="color:red;">W</span>armer Sommer <span style="color:red;">S</span>teht <span style="color:red;">A</span>n."</pre>
   *
   * @param input Eine Satz aus Worten mit gemischter Groß- und Kleinschreibung.
   * @return Der Satz mit Großschreibung aller Wortanfänge oder <code>null</code>,
   *         falls die Eingabe <code>null</code> ist.
   *
   * <section class="implementationHints">
   *  <h3>Tip:</h3>
   *
   *  <p>Beachten Sie die Methoden {@link Character#isWhitespace(char)} und {@link Character#toUpperCase(char)}.</p>
   *
   * </section>
   */
  static public String getWortanfangGross(final String input) {
    return "noch nix Rechtes"; // TODO: Implementiere mich richtig!
  }
}
